#ifndef OUTPUTS_H_INCLUDED
#define OUTPUTS_H_INCLUDED

#include "../include/map.h"
#include "../include/specie.h"
#include "../include/mClock.h"
#include "../include/individual.h"

void output_time(vector<int> times, string oDir);
void output_ploidy(vector<species>& vSpe, string oDir);
void out_gen_multi(vector<species*>& vSpe, landscape &land, mClock& cl, string oDir);
void output_genetic(landscape &land, species* pSpe, mClock& cl, string oDir);
void output_geneflow(landscape &land, species* pSpe, mClock& cl, string oDir, int nCellRef);
void output_value(landscape &land, species* pSpe, mClock&, string valueName, string oDir);
void output_addByLocus(landscape &land, species* pSpe, mClock& cl, trait* oTrait, string oDir);
void output_addByLtype(landscape &land, species* pSpe, mClock& cl, trait* oTrait, string oDir);
#endif // OUTPUTS_H_INCLUDED
